DataPopulatorService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.mbean.DataPopulatorService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.mbean
Class DataPopulatorService

    java.lang.Object
      org.hyperic.hq.measurement.server.mbean.DataPopulatorService

All Implemented Interfaces:
  org.hyperic.hq.measurement.server.mbean.DataPopulatorServiceMBean

    public class DataPopulatorService

extends java.lang.Object
implements org.hyperic.hq.measurement.server.mbean.DataPopulatorServiceMBean

MBean used for testing purposes. When the populate() method is invoked, we will look up all measurements that are currently scheduled, filling in the detailed measurement data to simulate an environment that has been running for as long as the 'keep detailed metric data' setting.

Constructor Summary
`DataPopulatorService()`

Method Summary
`void` | `populate()`
`void` | `populate(long max)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataPopulatorService

    public DataPopulatorService()

Method Detail

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hyperic.hq.measurement.server.mbean.DataPopulatorServiceMBean`

### start

    public void start()

  Specified by:
    `start` in interface `org.hyperic.hq.measurement.server.mbean.DataPopulatorServiceMBean`

### populate

    public void populate()
                  throws java.lang.Exception

  Specified by:
    `populate` in interface `org.hyperic.hq.measurement.server.mbean.DataPopulatorServiceMBean`
  Throws:
    `java.lang.Exception`

### populate

    public void populate(long max)
                  throws java.lang.Exception

  Specified by:
    `populate` in interface `org.hyperic.hq.measurement.server.mbean.DataPopulatorServiceMBean`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.